> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/extenders/animation/wisej.web.animationtiming.md).

# AnimationTiming

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the speed curve of an animation.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum AnimationTiming : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum AnimationTiming As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                                                          |
| ------------- | ------------------------------------------------------------------------------------ |
| **Default**   | The animation has the speed defined in the original definition. This is the default. |
| **Ease**      | The animation has a slow start, then fast, before it ends slowly                     |
| **EaseIn**    | The animation has a slow start.                                                      |
| **EaseInOut** | The animation has both a slow start and a slow end.                                  |
| **EaseOut**   | The animation has a slow end.                                                        |
| **Linear**    | The animation has the same speed from start to end.                                  |

## Used By

| Name                                                                                             | Description                                      |
| ------------------------------------------------------------------------------------------------ | ------------------------------------------------ |
| [Properties.Timing](/api/wisej.web/extenders/animation/wisej.web.animation.properties.md#timing) | Returns or sets the speed curve of an animation. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/animation/wisej.web.animationtiming.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
